Loading...
Searching...
No Matches
L4::Ipc::Gen_fpage Class Reference

Generic RPC base for typed message items. More...

`#include <ipc_types>`

Inheritance diagram for L4::Ipc::Gen_fpage:
Collaboration diagram for L4::Ipc::Gen_fpage:

## Public Types

enum | Type { Special = L4_FPAGE_SPECIAL << 4 , Memory = L4_FPAGE_MEMORY << 4 , Io = L4_FPAGE_IO << 4 , Obj = L4_FPAGE_OBJ << 4 }
| Type of mapping object, see L4_fpage_type. More...

## Public Member Functions

| Gen_fpage (l4_umword_t base, l4_umword_t data) noexcept
| Construct from raw values.
l4_umword_t | data () const noexcept
| Return the raw flexpage descriptor.
l4_umword_t | base_x () const noexcept
| Return the raw base descriptor.

## Detailed Description

Generic RPC base for typed message items.

Definition at line 286 of file ipc_types.

## Member Enumeration Documentation

## Type

enum L4::Ipc::Gen_fpage::Type

Type of mapping object, see L4_fpage_type.

Enumerator
Special | Special flexpage, either l4_fpage_invalid() or l4_fpage_all(); only supported by selected interfaces.
Memory | Flexpage for memory spaces.
Io | Flexpage for I/O port spaces.
Obj | Flexpage for object spaces.

Definition at line 290 of file ipc_types.

The documentation for this class was generated from the following file:

- l4/sys/cxx/ipc_types